* [RFA] gdb is broken: missing signal.h checking
@ 2007-03-29 15:07 Denis PILAT
2007-03-29 15:12 ` Daniel Jacobowitz
` (2 more replies)
0 siblings, 3 replies; 15+ messages in thread
From: Denis PILAT @ 2007-03-29 15:07 UTC (permalink / raw)
To: gdb-patches
On my native linux gdb, I get "warning: Signal ? does not exist on this
system." when running.
It's just a missing line in the configure of gdb.
Attach is a patch that fixes it:
--
Denis
2007-03-29 Denis Pilat <denis.pilat@st.com>
* configure.ac: Test for signal.h.
* configure, config.in: Regenerate.
Index: configure.ac
===================================================================
RCS file: /cvs/src/src/gdb/configure.ac,v
retrieving revision 1.42
diff -u -p -r1.42 configure.ac
--- configure.ac 2 Feb 2007 22:54:09 -0000 1.42
+++ configure.ac 29 Mar 2007 15:00:39 -0000
@@ -367,6 +367,7 @@ AC_CHECK_HEADERS(link.h, [], [],
AC_CHECK_HEADERS(machine/reg.h)
AC_CHECK_HEADERS(poll.h sys/poll.h)
AC_CHECK_HEADERS(proc_service.h thread_db.h gnu/libc-version.h)
+AC_CHECK_HEADERS(signal.h)
AC_CHECK_HEADERS(stddef.h)
AC_CHECK_HEADERS(stdlib.h)
AC_CHECK_HEADERS(stdint.h)
Index: configure
===================================================================
RCS file: /cvs/src/src/gdb/configure,v
retrieving revision 1.221
diff -u -p -r1.221 configure
--- configure 2 Feb 2007 22:55:54 -0000 1.221
+++ configure 29 Mar 2007 15:02:23 -0000
@@ -7709,6 +7709,156 @@ fi
done
+for ac_header in signal.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------------------ ##
+## Report this to the AC_PACKAGE_NAME lists. ##
+## ------------------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
for ac_header in stddef.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
Index: config.in
===================================================================
RCS file: /cvs/src/src/gdb/config.in,v
retrieving revision 1.88
diff -u -p -r1.88 config.in
--- config.in 2 Feb 2007 22:54:46 -0000 1.88
+++ config.in 29 Mar 2007 15:02:24 -0000
@@ -281,6 +281,9 @@
/* Define to 1 if you have the `sigaction' function. */
#undef HAVE_SIGACTION
+/* Define to 1 if you have the <signal.h> header file. */
+#undef HAVE_SIGNAL_H
+
/* Define to 1 if you have the `sigprocmask' function. */
#undef HAVE_SIGPROCMASK
^ permalink raw reply [flat|nested] 15+ messages in thread* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 15:07 [RFA] gdb is broken: missing signal.h checking Denis PILAT
@ 2007-03-29 15:12 ` Daniel Jacobowitz
2007-03-29 15:25 ` Denis PILAT
2007-03-29 17:41 ` Mark Kettenis
2007-03-29 20:37 ` Pedro Alves
2 siblings, 1 reply; 15+ messages in thread
From: Daniel Jacobowitz @ 2007-03-29 15:12 UTC (permalink / raw)
To: Denis PILAT; +Cc: gdb-patches
On Thu, Mar 29, 2007 at 05:07:28PM +0200, Denis PILAT wrote:
> On my native linux gdb, I get "warning: Signal ? does not exist on this
> system." when running.
> It's just a missing line in the configure of gdb.
> Attach is a patch that fixes it:
> 2007-03-29 Denis Pilat <denis.pilat@st.com>
> * configure.ac: Test for signal.h.
> * configure, config.in: Regenerate.
OK, thanks.
--
Daniel Jacobowitz
CodeSourcery
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 15:12 ` Daniel Jacobowitz
@ 2007-03-29 15:25 ` Denis PILAT
0 siblings, 0 replies; 15+ messages in thread
From: Denis PILAT @ 2007-03-29 15:25 UTC (permalink / raw)
To: gdb-patches
Daniel Jacobowitz wrote:
> On Thu, Mar 29, 2007 at 05:07:28PM +0200, Denis PILAT wrote:
>
>> On my native linux gdb, I get "warning: Signal ? does not exist on this
>> system." when running.
>> It's just a missing line in the configure of gdb.
>> Attach is a patch that fixes it:
>>
>
>
>
>> 2007-03-29 Denis Pilat <denis.pilat@st.com>
>>
>
>
>> * configure.ac: Test for signal.h.
>> * configure, config.in: Regenerate.
>>
>
> OK, thanks.
>
>
Just committed!
--
Denis
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 15:07 [RFA] gdb is broken: missing signal.h checking Denis PILAT
2007-03-29 15:12 ` Daniel Jacobowitz
@ 2007-03-29 17:41 ` Mark Kettenis
2007-03-29 17:48 ` Daniel Jacobowitz
2007-03-29 20:37 ` Pedro Alves
2 siblings, 1 reply; 15+ messages in thread
From: Mark Kettenis @ 2007-03-29 17:41 UTC (permalink / raw)
To: Denis PILAT; +Cc: gdb-patches
> On my native linux gdb, I get "warning: Signal ? does not exist on this
> system." when running.
> It's just a missing line in the configure of gdb.
signal.h is ISO C; we don't support systems that do not have it.
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 17:41 ` Mark Kettenis
@ 2007-03-29 17:48 ` Daniel Jacobowitz
2007-03-30 12:01 ` Eli Zaretskii
0 siblings, 1 reply; 15+ messages in thread
From: Daniel Jacobowitz @ 2007-03-29 17:48 UTC (permalink / raw)
To: Mark Kettenis; +Cc: Denis PILAT, gdb-patches
On Thu, Mar 29, 2007 at 07:41:33PM +0200, Mark Kettenis wrote:
> > On my native linux gdb, I get "warning: Signal ? does not exist on this
> > system." when running.
> > It's just a missing line in the configure of gdb.
>
> signal.h is ISO C; we don't support systems that do not have it.
It turns out that this file is compiled for both GDB and gdbserver (a
long ago decision to try to reduce code duplication... I'm not
completely sure it was worth the hassle). GDB definitely does not
support systems without <signal.h>, but gdbserver now tries to. I
missed the problem when we just added WinCE support.
--
Daniel Jacobowitz
CodeSourcery
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 17:48 ` Daniel Jacobowitz
@ 2007-03-30 12:01 ` Eli Zaretskii
2007-03-30 12:12 ` Daniel Jacobowitz
0 siblings, 1 reply; 15+ messages in thread
From: Eli Zaretskii @ 2007-03-30 12:01 UTC (permalink / raw)
To: Daniel Jacobowitz; +Cc: mark.kettenis, denis.pilat, gdb-patches
> Date: Thu, 29 Mar 2007 13:48:08 -0400
> From: Daniel Jacobowitz <drow@false.org>
> Cc: Denis PILAT <denis.pilat@st.com>, gdb-patches <gdb-patches@sourceware.org>
>
> GDB definitely does not support systems without <signal.h>, but
> gdbserver now tries to.
Then perhaps we should add this information to gdb/README: it now
explicitly says that an ISO C compiler is required, without
qualifications.
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 12:01 ` Eli Zaretskii
@ 2007-03-30 12:12 ` Daniel Jacobowitz
2007-03-30 12:23 ` Eli Zaretskii
` (2 more replies)
0 siblings, 3 replies; 15+ messages in thread
From: Daniel Jacobowitz @ 2007-03-30 12:12 UTC (permalink / raw)
To: Eli Zaretskii; +Cc: mark.kettenis, denis.pilat, gdb-patches
On Fri, Mar 30, 2007 at 03:01:01PM +0300, Eli Zaretskii wrote:
> > Date: Thu, 29 Mar 2007 13:48:08 -0400
> > From: Daniel Jacobowitz <drow@false.org>
> > Cc: Denis PILAT <denis.pilat@st.com>, gdb-patches <gdb-patches@sourceware.org>
> >
> > GDB definitely does not support systems without <signal.h>, but
> > gdbserver now tries to.
>
> Then perhaps we should add this information to gdb/README: it now
> explicitly says that an ISO C compiler is required, without
> qualifications.
I believe some projects (binutils and gcc maybe?) draw a distinction
between "an ISO C compiler" and "an ISO C standard library" and
require the former but not the latter.
I assume we require an ISO C runtime for the rest of GDB. If that's
true, then how about the attached patch?
--
Daniel Jacobowitz
CodeSourcery
2007-03-30 Daniel Jacobowitz <dan@codesourcery.com>
* README: Mention ISO C library requirement.
Index: README
===================================================================
RCS file: /cvs/src/src/gdb/README,v
retrieving revision 1.38
diff -u -p -r1.38 README
--- README 21 Nov 2006 05:12:44 -0000 1.38
+++ README 30 Mar 2007 12:11:32 -0000
@@ -87,7 +87,9 @@ Bugs' section below; there are a few kno
GDB requires an ISO C (ANSI C) compiler. If you do not have an ISO
C compiler for your system, you may be able to download and install
the GNU CC compiler. It is available via anonymous FTP from the
-directory `ftp://ftp.gnu.org/pub/gnu/gcc'.
+directory `ftp://ftp.gnu.org/pub/gnu/gcc'. GDB also requires an ISO
+C standard library. The GDB remote server, gdbserver, builds with some
+non-ISO standard libraries - e.g. for Windows CE.
GDB uses Expat, an XML parsing library, to implement some target-specific
features. Expat will be linked in if it is available at build time, or
^ permalink raw reply [flat|nested] 15+ messages in thread* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 12:12 ` Daniel Jacobowitz
@ 2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 18:53 ` Mark Kettenis
2 siblings, 0 replies; 15+ messages in thread
From: Eli Zaretskii @ 2007-03-30 12:23 UTC (permalink / raw)
To: Daniel Jacobowitz; +Cc: mark.kettenis, denis.pilat, gdb-patches
> Date: Fri, 30 Mar 2007 08:12:26 -0400
> From: Daniel Jacobowitz <drow@false.org>
> Cc: mark.kettenis@xs4all.nl, denis.pilat@st.com,
> gdb-patches@sourceware.org
>
> I believe some projects (binutils and gcc maybe?) draw a distinction
> between "an ISO C compiler" and "an ISO C standard library" and
> require the former but not the latter.
>
> I assume we require an ISO C runtime for the rest of GDB. If that's
> true, then how about the attached patch?
Fine with me, thanks.
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 12:12 ` Daniel Jacobowitz
2007-03-30 12:23 ` Eli Zaretskii
@ 2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 12:58 ` Daniel Jacobowitz
2007-03-30 18:53 ` Mark Kettenis
2 siblings, 1 reply; 15+ messages in thread
From: Eli Zaretskii @ 2007-03-30 12:23 UTC (permalink / raw)
To: Daniel Jacobowitz; +Cc: mark.kettenis, denis.pilat, gdb-patches
> Date: Fri, 30 Mar 2007 08:12:26 -0400
> From: Daniel Jacobowitz <drow@false.org>
> Cc: mark.kettenis@xs4all.nl, denis.pilat@st.com,
> gdb-patches@sourceware.org
>
> I believe some projects (binutils and gcc maybe?) draw a distinction
> between "an ISO C compiler" and "an ISO C standard library" and
> require the former but not the latter.
>
> I assume we require an ISO C runtime for the rest of GDB. If that's
> true, then how about the attached patch?
Fine with me, thanks.
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 12:12 ` Daniel Jacobowitz
2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 12:23 ` Eli Zaretskii
@ 2007-03-30 18:53 ` Mark Kettenis
2007-03-30 19:01 ` Daniel Jacobowitz
2 siblings, 1 reply; 15+ messages in thread
From: Mark Kettenis @ 2007-03-30 18:53 UTC (permalink / raw)
To: drow; +Cc: eliz, mark.kettenis, denis.pilat, gdb-patches
> Date: Fri, 30 Mar 2007 08:12:26 -0400
> From: Daniel Jacobowitz <drow@false.org>
>
> On Fri, Mar 30, 2007 at 03:01:01PM +0300, Eli Zaretskii wrote:
> > > Date: Thu, 29 Mar 2007 13:48:08 -0400
> > > From: Daniel Jacobowitz <drow@false.org>
> > > Cc: Denis PILAT <denis.pilat@st.com>, gdb-patches <gdb-patches@sourceware.org>
> > >
> > > GDB definitely does not support systems without <signal.h>, but
> > > gdbserver now tries to.
Aha, missed that bit of detail I guess.
> > Then perhaps we should add this information to gdb/README: it now
> > explicitly says that an ISO C compiler is required, without
> > qualifications.
>
> I believe some projects (binutils and gcc maybe?) draw a distinction
> between "an ISO C compiler" and "an ISO C standard library" and
> require the former but not the latter.
The distinction is "Freestanding" versus "Hosted" I believe.
Obviously GDB requires the latterm but I can see people wanting to
support the former for gdbserver.
> I assume we require an ISO C runtime for the rest of GDB. If that's
> true, then how about the attached patch?
Effectively we do. Or at least I think we should. We made some
exceptions in the past for specific targets that had an almost ISO C
compatible runtime (SunOS, Ultrix) but we no longer support those.
This diff looks fine to me.
> 2007-03-30 Daniel Jacobowitz <dan@codesourcery.com>
>
> * README: Mention ISO C library requirement.
>
> Index: README
> ===================================================================
> RCS file: /cvs/src/src/gdb/README,v
> retrieving revision 1.38
> diff -u -p -r1.38 README
> --- README 21 Nov 2006 05:12:44 -0000 1.38
> +++ README 30 Mar 2007 12:11:32 -0000
> @@ -87,7 +87,9 @@ Bugs' section below; there are a few kno
> GDB requires an ISO C (ANSI C) compiler. If you do not have an ISO
> C compiler for your system, you may be able to download and install
> the GNU CC compiler. It is available via anonymous FTP from the
> -directory `ftp://ftp.gnu.org/pub/gnu/gcc'.
> +directory `ftp://ftp.gnu.org/pub/gnu/gcc'. GDB also requires an ISO
> +C standard library. The GDB remote server, gdbserver, builds with some
> +non-ISO standard libraries - e.g. for Windows CE.
>
> GDB uses Expat, an XML parsing library, to implement some target-specific
> features. Expat will be linked in if it is available at build time, or
>
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 18:53 ` Mark Kettenis
@ 2007-03-30 19:01 ` Daniel Jacobowitz
2007-03-30 21:04 ` Jim Blandy
0 siblings, 1 reply; 15+ messages in thread
From: Daniel Jacobowitz @ 2007-03-30 19:01 UTC (permalink / raw)
To: Mark Kettenis; +Cc: eliz, denis.pilat, gdb-patches
On Fri, Mar 30, 2007 at 08:53:29PM +0200, Mark Kettenis wrote:
> Aha, missed that bit of detail I guess.
It's very recent :-)
> > I believe some projects (binutils and gcc maybe?) draw a distinction
> > between "an ISO C compiler" and "an ISO C standard library" and
> > require the former but not the latter.
>
> The distinction is "Freestanding" versus "Hosted" I believe.
> Obviously GDB requires the latterm but I can see people wanting to
> support the former for gdbserver.
There's actually some further differences. I believe - but this is
basically hearsay since I can't remember the specifics - that there
are some vendor compilers on the commercial Unices which support all
of the language features of ISO C90 but not all the runtime features.
So e.g. prototypes are fine but printf might return bogus values, to
use an example that recently bit GCC.
Anyway, I agree. We can get away with it now. If we encounter any
specific holes, I've been watching gnulib mature to fill them - I
still hope I can use their printf implementation for GDB soon.
--
Daniel Jacobowitz
CodeSourcery
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 19:01 ` Daniel Jacobowitz
@ 2007-03-30 21:04 ` Jim Blandy
2007-03-30 21:13 ` Daniel Jacobowitz
0 siblings, 1 reply; 15+ messages in thread
From: Jim Blandy @ 2007-03-30 21:04 UTC (permalink / raw)
To: Mark Kettenis; +Cc: eliz, denis.pilat, gdb-patches
Does this mean we can put variable declarations after statements now?
I love being able to declare iteration variables before loops.
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-30 21:04 ` Jim Blandy
@ 2007-03-30 21:13 ` Daniel Jacobowitz
0 siblings, 0 replies; 15+ messages in thread
From: Daniel Jacobowitz @ 2007-03-30 21:13 UTC (permalink / raw)
To: Jim Blandy; +Cc: Mark Kettenis, eliz, denis.pilat, gdb-patches
On Fri, Mar 30, 2007 at 02:04:37PM -0700, Jim Blandy wrote:
>
> Does this mean we can put variable declarations after statements now?
> I love being able to declare iteration variables before loops.
That's C99, not ISO C90 :-)
--
Daniel Jacobowitz
CodeSourcery
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [RFA] gdb is broken: missing signal.h checking
2007-03-29 15:07 [RFA] gdb is broken: missing signal.h checking Denis PILAT
2007-03-29 15:12 ` Daniel Jacobowitz
2007-03-29 17:41 ` Mark Kettenis
@ 2007-03-29 20:37 ` Pedro Alves
2 siblings, 0 replies; 15+ messages in thread
From: Pedro Alves @ 2007-03-29 20:37 UTC (permalink / raw)
To: Denis PILAT; +Cc: gdb-patches
Denis PILAT escreveu:
> On my native linux gdb, I get "warning: Signal ? does not exist on
> this system." when running.
> It's just a missing line in the configure of gdb.
> Attach is a patch that fixes it:
>
Dough! Sorry, it was me. A testsuite gdb.sum diff didn't catch it on
Cygwin, probably
because (almost) all signal tests fail on Cygwin anyway.
Cheers,
Pedro Alves
^ permalink raw reply [flat|nested] 15+ messages in thread
end of thread, other threads:[~2007-03-30 21:13 UTC | newest]
Thread overview: 15+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-03-29 15:07 [RFA] gdb is broken: missing signal.h checking Denis PILAT
2007-03-29 15:12 ` Daniel Jacobowitz
2007-03-29 15:25 ` Denis PILAT
2007-03-29 17:41 ` Mark Kettenis
2007-03-29 17:48 ` Daniel Jacobowitz
2007-03-30 12:01 ` Eli Zaretskii
2007-03-30 12:12 ` Daniel Jacobowitz
2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 12:23 ` Eli Zaretskii
2007-03-30 12:58 ` Daniel Jacobowitz
2007-03-30 18:53 ` Mark Kettenis
2007-03-30 19:01 ` Daniel Jacobowitz
2007-03-30 21:04 ` Jim Blandy
2007-03-30 21:13 ` Daniel Jacobowitz
2007-03-29 20:37 ` Pedro Alves
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox